Bug 1541981 (CVE-2018-4877, CVE-2018-4878) - CVE-2018-4877 CVE-2018-4878 flash-plugin: use-after-free causing remote code execution (APSB18-03)
Summary: CVE-2018-4877 CVE-2018-4878 flash-plugin: use-after-free causing remote code ...
Status: CLOSED ERRATA
Alias: CVE-2018-4877, CVE-2018-4878
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20180201,repor...
Keywords: Security
Depends On: 1542017 1542018
Blocks: 1541982
TreeView+ depends on / blocked
 
Reported: 2018-02-05 11:05 UTC by Andrej Nemec
Modified: 2018-02-07 18:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-07 18:30:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0285 normal SHIPPED_LIVE Critical: flash-plugin security update 2018-02-07 22:58:39 UTC

Description Andrej Nemec 2018-02-05 11:05:01 UTC
Adobe Security Advisory APSA18-01 for Adobe Flash Player describes an use-after-free flaw that can possibly lead to code exeucution when Flash Player is used to play a specially crafted SWF file.

Quoting from the APSA18-01:

Use-after-free 	Remote Code Execution 	Critical 	CVE-2018-4878

Reference:

https://helpx.adobe.com/security/products/flash-player/apsa18-01.html

Comment 1 Tomas Hoger 2018-02-05 12:07:17 UTC
Fixed Flash Player version is not yet available.  Quoting from the Adobe Security Bulletin:

Adobe will address this vulnerability in a release planned for the week of February 5.

Comment 3 Tomas Hoger 2018-02-06 20:11:35 UTC
Updated Flash Player version 28.0.0.161 was released today to correct this issue. The update is documented in the Adobe Security Bulletin APSB18-03, which describes one additional use-after-free flaw corrected in the same update:

Use After Free 	Remote Code Execution 	Critical 	CVE-2018-4877

External References:

https://helpx.adobe.com/security/products/flash-player/apsb18-03.html

Comment 4 errata-xmlrpc 2018-02-07 17:58:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:0285 https://access.redhat.com/errata/RHSA-2018:0285


Note You need to log in before you can comment on or make changes to this bug.